Table of Contents

_________________________________________________________________

## NAME

QuadDisplay - create and manipulate a QuadDisplay widget.

## SYNOPSIS

QuadDisplay pathName ?options?

## INHERITANCE

itk::Archetype <- itk::Widget <- Panedwindow <- QuadDisplay

## STANDARD OPTIONS

  background cursor

See the "options" manual entry for details on the standard options.

## ASSOCIATED OPTIONS

Options associated with Display:

  rscale sscale type

## INHERITED OPTIONS

Options inherited from itk::Archetype:

  clientdata

Options inherited from Panedwindow:

  height orient sashborderwidth sashcursor sashheight sashwidth sashindent thickness width

See the "panedwindow" manual entry for details.

## WIDGET-SPECIFIC OPTIONS

Name:
  multi_pane

Class:
  Multi_pane

Command-Line Switch:
  -multi_pane

Specifies the multi_pane mode. 0 indicates single pane mode and 1 indicates multi-pane (i.e. four panes).

Name:
  pane

Class:
  Pane

Command-Line Switch:
  -pane

Specifies the active pane. The value must be one of: ul, ur, ll, or lr.

## DESCRIPTION

The QuadDisplay command creates a new window (given by the pathName argument) and makes it into a widget that is comprised of four display widgets which will be referred to as panes (i.e. ul - upper left pane, ur - upper right pane, ll - lower left pane, lr - lower right pane). Additional options, described above, may be specified on the command line or in the option database to configure aspects of the QuadDisplay widget. The QuadDisplay command returns its pathName argument. At the time this command is invoked, there must not exist a window named pathName, but pathName's parent must exist.

## METHODS

The QuadDisplay command creates a new Tcl command whose name is pathName. This command may be used to invoke various operations on the QuadDisplay widget. It has the following general form:

pathName option ?arg arg ...?

Option and the args determine the exact behavior of the command. The following commands are possible for QuadDisplay widgets:

### BUILT-IN METHODS

  isa info

### ASSOCIATED METHODS

Methods associated with LIBDM's display manager object:

  bg light linestyle linewidth listen perspective zbuffer zclip

Methods associated with LIBRT's view object:

  aet center rot size slew tra zoom

Methods associated with Dm:

  fb_active fb_observe

Methods associated with Display:

  add attach_drawable attach_view autoview contents detach_drawable detach_view refresh remove rt rtcheck

### INHERITED METHODS

Methods inherited from Archetype:

  cget component configure

Methods inherited from iwidgets::Panedwindow:

  add childsite delete fraction hide index insert paneconfigure reset show

### WIDGET-SPECIFIC METHODS

pathName addall ?glist?
  Call add for all panes.

pathName attach_drawableall ?dg?
  Call attach_drawable for all panes.

pathName attach_viewall
  Call attach_view for all panes.

pathName autoviewall ?gindex?
  Call autoview for all panes.

pathName default_views
  Set the default view orientation for the four panes as follows:
  ul - aet 0 90 0
  ur - aet 35 25 0
  ll - aet 0 0 0
  lr - aet 90 0 0

pathName detach_drawableall ?dg?
  Call detach_drawable for all panes.

pathName detach_viewall
  Call detach_view for all panes.

pathName multi_pane ?0 | 1?
  Set the multi_pane mode as specified by the argument (i.e. 0 - single pane, 1 - multiple panes). If no argument is provided, simply return the multi_pane mode.

pathName pane ?ul | ur | ll | lr?
  Set the active pane as specified by the argument. If no argument is provided, simply return the active pane.

pathName refreshall
  Call refresh for all panes.

pathName removeall ?glist?
  Call remove for all panes.

pathName resetall
  Redisplay all pane windows using default percentages. That is, make all panes the same size.

## EXAMPLE

cwish> QuadDisplay .qd -width 400 -height 400
.qd
cwish> pack .qd -expand yes -fill both
cwish> Database db moss.g
db
cwish> db draw all.g
cwish> .qd addall [db get_dgname]
cwish> .qd pane
ur
cwish> .qd multi_pane 0
cwish> .qd multi_pane 1

## ACKNOWLEDGEMENTS:

Mark L. Ulferts <mulferts@austin.dsccc.com>

            Basic layout for documenting classes.

## AUTHOR

Robert G. Parker

## KEYWORDS

Table of Contents

- NAME
- SYNOPSIS
- INHERITANCE
- STANDARD OPTIONS
- ASSOCIATED OPTIONS
- INHERITED OPTIONS
- WIDGET-SPECIFIC OPTIONS
- DESCRIPTION
- METHODS
- BUILT-IN METHODS
- ASSOCIATED METHODS
- INHERITED METHODS
- WIDGET-SPECIFIC METHODS
- EXAMPLE
- ACKNOWLEDGEMENTS
- AUTHOR
- KEYWORDS